﻿.news-search-wrapper {
  background-color: rgba(237, 241, 245, 0.64);
  border-radius: 12px;
  margin: 0 8px 40px;
  max-width: 1160px;
  overflow: hidden; 
}
.news-search-toggle.accordion-toggle {
  width: 100%;
  height: 40px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 16px ;
  background: none;
  border: none;
  font-size: 14px;
  font-weight: bold;
  color: #334155;
  cursor: pointer;
  outline: none;
}

.news-search-toggle.is-open .accordion-arrow {
  transform: rotate(180deg);
}
.accordion-arrow {
  transition: transform 0.3s ease;
}

.news-search-content.accordion-content {
  background-color: #f1f4f8;
  max-height: 0; 
}
.news-search-items {
  display: flex;
  flex-wrap: wrap;
  gap: 12px;
  padding: 16px;
}

.accordion-content .news-search-link {
  flex-wrap: wrap;
  padding: 4px 16px;
  background-color: #f1f4f8;
  border-radius: 90px;
  border: 1px solid #AFC2D6;
  color: #334155;
  text-decoration: none;
  font-size: 14px;
  font-weight: 400;
  height: auto;
}
.accordion-content .news-search-link::before{
  content: none;
}
.news-search-link.is-selected {
  background-color: #004AA6;
  color: #fff;
}
.news-search-hash { color: #334155; margin-right: 2px; }
.news-search-link.is-selected .news-search-hash { color: #fff; }


.news-search-term{
  margin: 0 auto 40px;
  max-width: 820px;
}
.news-search-term__title{
   text-align: left;
    font-weight: bold;
    font-size: 20px;
    position: relative;
    color: #004AA6;
}
.news-search-term__title::before {
    content: "●カテゴリー";
    font-size: 12px;
    line-height: 1;
    position: absolute;
    bottom: calc(100% + 5px);
    left: 0;
    color: #004AA6;
}

@media screen and (min-width: 769px) {
  .single-news .section{
    padding-top: 24px;
  }
  .news-search-term__title{
    font-size: 30px;
  }
  .news-search-wrapper {
    padding: 24px;
    margin: 0 auto 64px;
  }
  .news-search-container {
    display: flex;
    align-items: center;
    gap: 24px;
  }
  .news-search-toggle.accordion-toggle {
    width: auto;
    height: 40px;
    padding: 0 24px 0 0;
    border-right: 1px solid #CBD5E1;
    border-bottom: none;
    cursor: default;
    pointer-events: none;
    flex-shrink: 0;
  }
  .news-search-toggle .accordion-arrow {
    display: none;
  }
  .news-search-items{
    padding: 0;
  }
  .news-search-content.accordion-content{
    max-height:100%;
    padding: 0;
  }

  .news-search-term__title{
    font-size: 30px;
  }
 .news-search-term__title::before {
    font-size: 14px;
  }
}



.news-grid {
  display: flex;
  flex-direction: column;
  max-width: 820px;
  margin: 0 auto;
  padding: 0 8px;
}
.news-card {
  border-bottom: 1px solid #CBD5E1;
  background: #fff;
}
.news-card:last-child{
  border-bottom: none;
}
.news-card__link {
  display: block;
  text-decoration: none;
  color: #1E293B;
  padding: 24px 0;
}
.news-card__meta {
  display: flex;
  align-items: center;
  gap: 8px;
  margin-bottom: 16px;
}
.news-card__date {
  font-size: 14px;
  font-weight: 400;
  color: #64758B;
}
.news-card__tag {
  font-size: 14px;
  font-weight: 700;
  color: #004AA6;
}
.news-card__title {
  font-size: 14px;
  font-weight: 400;
  line-height: 1.7;
  margin: 0;
}
@media screen and (min-width: 769px) {
  .news-grid {
    padding: 0;
  }
  .news-card__title {
    font-size: 16px;
  }

}

/* =================================================================
   詳細ページ
================================================================== */
.news-detail {
  max-width: 800px;
  margin: 0 auto;
  padding: 0 8px;
}
.news-header {
  display: flex;
  align-items: center;
  gap: 20px;
  margin-bottom: 20px;
  .news-btn-link{
    display: flex;
    align-items: center;
    font-size: 14px;
    font-weight: 400;
    color: #1E293B;
    path{
      fill: #64758B;
    }
  }
}
.news-title {
  font-size: 20px;
  font-weight: 700;
  margin-bottom: 24px;
  line-height: 1.7;
  color: #1E293B;
}
.news-featured-img {
  margin-bottom: 32px;
}
.news-featured-img img {
  width: 100%;
  height: auto;
  border-radius: 12px;
}
.news-body{
  .news-meta {
    display: flex;
    align-items: center;
    gap: 13px;
    margin-bottom: 32px;
  }
  .news-date {
    font-size: 14px;
    font-weight: 400;
    color: #64758B;
  }
  .news-tags {
    font-size: 14px;
    font-weight: 400;
    color: #004AA6;
  }
}
.news-entry-body{
   p{
    font-size: 14px;
    font-weight: 400;
    line-height: 1.7;
    margin-bottom: 40px;
    color: #334155;
    a{
      color: var(--color-primary);
      text-decoration: underline;
      word-break: break-all;
    }
  }
  h3.wp-block-heading{
    font-size: 20px;
    font-weight: 700;
    color: #1E293B;
    line-height: 1.7;
    margin-top: 100px;
    margin-bottom: 24px;
  }
  h4.wp-block-heading{
    font-size: 18px;
    font-weight: 700;
    color: #1E293B;
    line-height: 1.7;
    margin-bottom: 16px;
  }
  .wp-block-image{
    margin-bottom: 40px;
  }
  .wp-block-list{
    margin-bottom: 16px;
  }
  .wp-block-list li{
    font-size: 14px;
    font-weight: 400;
    color: #1E293B;
    line-height: 1.7;
    margin-bottom: 4px;
    padding-left: 1em;
    position: relative;
  }
  .wp-block-list li::before{
    content: "・";
    font-weight: bold;
    position: absolute;
    top: 0;
    left: 0;
  }
  table {
    width: 100%;
    border-collapse: collapse;
    margin: 24px 0;
    font-size: 14px;
    line-height: 1.6;
  }
  th,
  td {
      padding: 16px;
      border: 1px solid #CBD5E1;
      text-align: left;
      color: #1E293B;
      font-size: 14px;
  }
  th {
      font-weight: bold;
      color: #1E293B;
  }
  .wp-block-flexible-table-block-table{
    table {
      width: 100%;
      border-collapse: collapse;
      margin: 24px 0;
      font-size: 14px;
      line-height: 1.6;
    }
    th,
    table tr td {
        padding: 16px;
        border: 1px solid #CBD5E1;
        text-align: left;
        color: #1E293B;
        font-size: 14px;
        font-weight: 400;
    }
    th {
        font-weight: 700;
        color: #1E293B;
    }
  }
  .wp-block-button__link{
    font-size: 14px;
  }
 
}

@media screen and (min-width: 769px) {
  .news-detail {
    padding: 0;
  }
  .news-header {
    margin-bottom: 30px;
    padding: 0;
    .news-btn-link{
      font-size: 16px;
      transition: color 0.3s ease;
    }
  }
  .news-title {
    font-size: 32px;
    margin-bottom: 56px;
  }
  .news-featured-img {
    margin-bottom: 40px;
  }
  .news-body{
    .news-meta {
      margin-bottom: 10px;
    }
    .news-date {
      font-weight: 700;
    }
    .news-tags {
      font-weight: 700;
    }
  }
  
  .news-entry-body{
    p{
      font-size: 16px;
      margin-bottom: 24px;
      a{
        transition: all 0.3s ease;
        &:hover{
          opacity: .7;
        }
      }
    }
    h3.wp-block-heading{
      font-size: 24px;
      margin-top: 64px;

    }
    h4.wp-block-heading{
      font-size: 20px;
    }
    .wp-block-list li{
      font-size: 16px;
    }
    table {
      font-size: 16px;
    }
    th,
    td {
        font-size: 16px;
    }

    .wp-block-flexible-table-block-table{
      table {
        font-size: 16px;
      }
      th,
      table tr td {
          font-size: 16px;
      }

    }
    .wp-block-button__link{
      font-size: 16px;
      transition: background-color .3s ease;
    }
    .wp-block-button__link:hover{
      color: #ffffff;
      background-color: #003b85!important;
    }
  }
  .news-btn-link:hover {
    color: #005bac;
  }
  
}


